Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 675778 - dev-vcs/fossil-2.7 : * (no error message)
Summary: dev-vcs/fossil-2.7 : * (no error message)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Rafael Martins (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on: 688304 CVE-2020-24614
Blocks:
  Show dependency tree
 
Reported: 2019-01-18 18:08 UTC by Toralf Förster
Modified: 2020-10-02 03:40 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.72 KB, text/plain)
2019-01-18 18:08 UTC, Toralf Förster
Details
dev-vcs:fossil-2.7:20190117-222147.log (dev-vcs:fossil-2.7:20190117-222147.log,1.68 KB, text/plain)
2019-01-18 18:08 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,52.84 KB, text/plain)
2019-01-18 18:08 UTC, Toralf Förster
Details
environment (environment,45.20 KB, text/plain)
2019-01-18 18:08 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.43 KB, application/x-bzip)
2019-01-18 18:09 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,140 bytes, application/x-bzip)
2019-01-18 18:09 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,12.19 KB, application/x-bzip)
2019-01-18 18:09 UTC, Toralf Förster
Details
Diff of ebuild to pull either jimtcl or tcl (fossil-2.8.ebuild.diff,272 bytes, patch)
2019-06-26 10:21 UTC, Stephen Bosch
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-01-18 18:08:45 UTC
 * ERROR: dev-vcs/fossil-2.7::gentoo failed (configure phase):
 *   (no error message)
 * 

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop_20190116-201128

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-8.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems)
  [3]   ruby26 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.9.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpvO dev-vcs/fossil
[ebuild  N    ] dev-vcs/fossil-2.7  USE="ssl -debug -fusefs -json -legacy-mv-rm -miniz -static -system-sqlite -tcl -tcl-private-stubs -tcl-stubs -th1-docs -th1-hooks"
Comment 1 Toralf Förster gentoo-dev 2019-01-18 18:08:48 UTC
Created attachment 561940 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-01-18 18:08:52 UTC
Created attachment 561942 [details]
dev-vcs:fossil-2.7:20190117-222147.log
Comment 3 Toralf Förster gentoo-dev 2019-01-18 18:08:55 UTC
Created attachment 561944 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2019-01-18 18:08:58 UTC
Created attachment 561946 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2019-01-18 18:09:01 UTC
Created attachment 561948 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2019-01-18 18:09:04 UTC
Created attachment 561950 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2019-01-18 18:09:07 UTC
Created attachment 561952 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2019-05-19 10:34:59 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7bed6009ced41b08d98f16d85ffcbbb0d884a52c

commit 7bed6009ced41b08d98f16d85ffcbbb0d884a52c
Author:     Aaron W. Swenson <titanofold@gentoo.org>
AuthorDate: 2019-05-19 10:34:30 +0000
Commit:     Aaron W. Swenson <titanofold@gentoo.org>
CommitDate: 2019-05-19 10:34:35 +0000

    dev-vcs/fossil: Bump to 2.8
    
    Bug: https://bugs.gentoo.org/675778
    Package-Manager: Portage-2.3.62, Repoman-2.3.11
    Signed-off-by: Aaron W. Swenson <titanofold@gentoo.org>

 dev-vcs/fossil/Manifest          |  1 +
 dev-vcs/fossil/fossil-2.8.ebuild | 57 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)
Comment 9 Stephen Bosch 2019-06-26 10:21:57 UTC
Created attachment 580964 [details, diff]
Diff of ebuild to pull either jimtcl or tcl

The problem is that a tcl shell is a hard requirement.

Either dev-lang/tcl or dev-lang/jimtcl is required, because we probably don't want the configure script building a "bootstrap jimsh".

Both the build of this bootstrap jimsh and an emerge of dev-lang/jimtcl-0.76 fail for the same reason (see https://bugs.gentoo.org/675276) ; dev-lang/jimtcl-0.78-r1 should be stabilized.

This is my attempt at patch to the ebuild.
Comment 10 Anthony Parsons 2020-02-04 23:49:47 UTC
Still broken in fossil-2.10 fwiw. Installing dev-lang/tcl allows it to build correctly.
Comment 11 Larry the Git Cow gentoo-dev 2020-05-02 02:59:05 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=422480add31731ac3df1851b4ef6654e13a8bda9

commit 422480add31731ac3df1851b4ef6654e13a8bda9
Author:     Aaron W. Swenson <titanofold@gentoo.org>
AuthorDate: 2020-05-02 02:58:45 +0000
Commit:     Aaron W. Swenson <titanofold@gentoo.org>
CommitDate: 2020-05-02 02:58:48 +0000

    dev-vcs/fossil: Fix Tcl dependency and search
    
    Bug: https://bugs.gentoo.org/690828
    Bug: https://bugs.gentoo.org/675778
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Aaron W. Swenson <titanofold@gentoo.org>

 .../files/fossil-2.10-check-lib64-for-tcl.patch    | 11 ++++
 dev-vcs/fossil/fossil-2.10-r1.ebuild               | 72 ++++++++++++++++++++++
 2 files changed, 83 insertions(+)
Comment 12 Larry the Git Cow gentoo-dev 2020-10-02 03:40:02 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f16b344c51b67da95e31e077c4b5a2092788ef0f

commit f16b344c51b67da95e31e077c4b5a2092788ef0f
Author:     Aaron W. Swenson <titanofold@gentoo.org>
AuthorDate: 2020-10-02 03:37:22 +0000
Commit:     Aaron W. Swenson <titanofold@gentoo.org>
CommitDate: 2020-10-02 03:37:22 +0000

    dev-vcs/fossil: Cleanup
    
    Bug: https://bugs.gentoo.org/738220
    Closes: https://bugs.gentoo.org/724272
    Closes: https://bugs.gentoo.org/675778
    Closes: https://bugs.gentoo.org/690828
    Signed-off-by: Aaron W. Swenson <titanofold@gentoo.org>

 dev-vcs/fossil/Manifest             |  1 -
 dev-vcs/fossil/fossil-2.11.1.ebuild | 72 -------------------------------------
 dev-vcs/fossil/metadata.xml         |  3 --
 3 files changed, 76 deletions(-)